<?php 
// If we have found SSI.php and we are outside of SMF, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF')) // If we are outside SMF and can't find SSI.php, then throw an error
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\'s SSI.php.');


$integration_function = empty($context['uninstalling']) ? 'add_integration_function' : 'remove_integration_function';

$integration_function('integrate_pre_include', '$sourcedir/Subs-MarkUndel.php');
$integration_function('integrate_mod_buttons', 'hook_set_topic_undeletable');
$integration_function('integrate_load_permissions', 'hook_load_undeletable_perms');

db_extend('packages');
$smcFunc['db_add_column'] (
			'{db_prefix}topics', 
			array(
			      'name' => 'undeletable',
			      'type' => 'TINYINT',
			      'default' => '0'
				),
				array(),
				'ignore'
			);

$smcFunc['db_add_column'] (
			'{db_prefix}personal_messages', 
			array(
			      'name' => 'undeletable',
			      'type' => 'TINYINT',
			      'default' => '0'
				),
				array(),
				'ignore'
			);

$smcFunc['db_add_column'] (
			'{db_prefix}pm_recipients', 
			array(
			      'name' => 'undeletable',
			      'type' => 'TINYINT',
			      'default' => '0'
				),
				array(),
				'ignore'
			);

$smcFunc['db_add_column'] (
			'{db_prefix}members', 
			array(
			      'name' => 'undeletable',
			      'type' => 'TINYINT',
			      'default' => '0'
				),
				array(),
				'ignore'
			);

?>