<?php
if (!defined('SMF'))
	die('Hacking attempt...');

function MarkUndel(){
	if(isset($_GET['topic'])){
		set_topic();
	} elseif(isset($_GET['pmsg'])) {
		set_pmsg();
	}
}

function set_topic(){
	global $topic, $smcFunc;

	checkSession('get');

	$request = $smcFunc['db_query']('', '
		SELECT undeletable
		FROM {db_prefix}topics
		WHERE id_topic = {int:id_topic}
		LIMIT 1',
		array(
			'id_topic' => $topic
		));
	list ($undel) = $smcFunc['db_fetch_row']($request);
	$smcFunc['db_free_result']($request);

	if(!isset($undel))
		fatal_lang_error('no_topic_id', false);

	isAllowedTo($undel ? 'unset_undel' : 'set_undel');

	$smcFunc['db_query']('', '
		UPDATE {db_prefix}topics
		SET undeletable = ' . ($undel ? 0 : 1) . '
		WHERE id_topic = {int:id_topic}
		LIMIT 1',
		array(
			'id_topic' => $topic
		));

	redirectexit('topic=' . $topic . '.' . $_REQUEST['start']);
}

function set_pmsg(){
	global $user_info, $smcFunc;

	// you must have the authorization and session
	isAllowedTo('pm_undel');
	checkSession('request');

	// You must be the owner of the pm
	$request = $smcFunc['db_query']('', '
		SELECT undeletable
		FROM {db_prefix}' . ($_REQUEST['f'] == 'sent' ? 'personal_messages' : 'pm_recipients') . '
		WHERE ' . ($_REQUEST['f'] == 'sent' ? 'id_member_from' : 'id_member') . ' = {int:user_id}
			AND id_pm = {int:id_pmsg}
		LIMIT 1',
		array(
			'user_id' => $user_info['id'],
			'id_pmsg' => (int) $_REQUEST['pmsg'],
		));
	list ($pms) = $smcFunc['db_fetch_row']($request);
	$smcFunc['db_free_result']($request);

	if(!isset($pms))
		fatal_lang_error('mod_wrong_pm_id',false);

	// anything else?

	$smcFunc['db_query']('', '
		UPDATE {db_prefix}' . ($_REQUEST['f'] == 'sent' ? 'personal_messages' : 'pm_recipients') . '
		SET undeletable = ' . ($pms ? 0 : 1) . '
		WHERE ' . ($_REQUEST['f'] == 'sent' ? 'id_member_from' : 'id_member') . ' = {int:user_id}
			AND id_pm = {int:id_pmsg}
		LIMIT 1',
		array(
			'user_id' => $user_info['id'],
			'id_pmsg' => (int) $_REQUEST['pmsg'],
		));

	redirectexit('action=pm;f=' . $_REQUEST['f'] . ';start=' . $_REQUEST['start'] . (isset($_REQUEST['l']) ? ';l=' . (int) $_REQUEST['l'] : '') . (isset($_REQUEST['pm']) ? '#' . (int) $_REQUEST['pm'] : ''));
}


function hook_set_topic_undeletable($mod_buttons){
	global $context, $scripturl;

	if($context['can_set_undel'] && !$context['topic_undel'])
		$mod_buttons['set_undel'] = array('text' => 'mod_set_undeletable', 'lang' => true, 'url' => $scripturl . '?action=markundel;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id']);

	if($context['can_unset_undel'] && $context['topic_undel']){
		$mod_buttons['set_undel'] = array('text' => 'mod_unset_undeletable', 'lang' => true, 'url' => $scripturl . '?action=markundel;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id']);
		unset($mod_buttons['delete']);
	}

}

function hook_load_undeletable_perms(&$permissionGroups, &$permissionList, &$leftPermissionGroups, &$hiddenPermissions, &$relabelPermissions){
	global $context;

	$permissionList['membergroup']['pm_undel'] = array(false, 'pm', 'use_pm_system');
	$permissionList['membergroup']['member_undel'] = array(false, 'member_admin', 'administrate');
	$permissionList['membergroup']['set_undel'] = array(false, 'general', 'moderate_general');
	$permissionList['membergroup']['unset_undel'] = array(false, 'general', 'moderate_general');

	$context['non_guest_permissions'][] = 'pm_undel';
	$context['non_guest_permissions'][] = 'member_undel';
	$context['non_guest_permissions'][] = 'set_undel';
	$context['non_guest_permissions'][] = 'unset_undel';
}
?>